package com.steerinfo.ems.trmproduct.service;

import com.steerinfo.framework.service.IBaseService;
import com.steerinfo.ems.trmproduct.model.TRmProduct;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Set;

/**
 * TRmProduct服务接口：
 * @author generator
 * @version 1.0-SNAPSHORT 2019-10-12 08:38
 * 类描述
 * 修订历史：
 * 日期：2019-10-12
 * 作者：generator
 * 参考：
 * 描述：TRmProduct服务接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
public interface ITRmProductService extends IBaseService<TRmProduct, String>{

    List<TRmProduct> getIdAndName();

    /**
     * 查询实绩工序与产品关联数量
     * @return
     */
    int selectForTrmworkprocproductR(@Param("id") String id);

    /**
     * 查询计划工序与产品关联数量
     * @return
     */
    int selectForTrmworkprocproductP(@Param("id") String id);

    /**
     * 求最大值id
     * @return
     */
    String getMaxId();

    /**
     * 获取最大序列
     */
    String getMaxNo();

    /**
     * 获取ems物料编码
     * @return
     */
    Set<String> getBcode(@Param("productid") String productid);

}